<?php

error_reporting(0);
ini_set(“display_errors”, 0 );

// echo "<pre>";
// print_r($_GET);
// echo "</pre>";

// echo "<pre>";
// print_r($_POST);
// echo "</pre>";




$equipe_id = $_GET['cliente_id'];
$inicio = $_GET['start'];
$final = $_GET['end'];
$venda_n = $_GET['venda_n'];


if(isset($_GET['corretores'])){
    $idcorretor = $_GET['corretores'];
}else{
    $idcorretor = '';
}

if(isset($_GET['cliente_id'])){
    $dequipe = $_GET['cliente_id'];
}else{
    $dequipe = '';
}



if (!isset($_SESSION)) {
  session_start();
  global $usuario;

  $usuario = $_SESSION["id_usuario"];

} 


if(isset($_GET['teste'])){
    $empreendimento_id = $_GET['teste'];
}

if(isset($_GET['nosso_num'])){
    $nosso_num = $_GET['nosso_num'];
}
 
 
  if($empreendimento_id != '' and $empreendimento_id != 0 and $empreendimento_id != 'Todos'){
    $rel_empreendimento = dados_empreendimento($empreendimento_id);
    $logo = fotologo($empreendimento_id);
  }else{
    $rel_empreendimento = '';
  }

  function dados_empreendimento($empreendimento_id){
      include "../conexao.php";
              $query_amigo = "SELECT * FROM empreendimento_cadastro                           
                              WHERE idempreendimento_cadastro = $empreendimento_id";                           
              $executa_query = mysqli_query ($db,$query_amigo);                
              while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos           
              $descricao_empreendimento   = $buscar_amigo['descricao_empreendimento'];
            }

            return $descricao_empreendimento;
  }
  function fotologo($empreendimento_id){
      include "../conexao.php";
              $query_amigo = "SELECT * FROM empreendimento_cadastro                           
                              WHERE idempreendimento_cadastro = $empreendimento_id";                           
              $executa_query = mysqli_query ($db,$query_amigo);                
              while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos           
              $img   = $buscar_amigo['img_lote'];
            }

            return $img;
  }



 function pegarTotalVendas($idvenda = null, $idcorretor = null, $equipe = null, $inicio = null, $fim = null, $nosso_num = null){


     // echo " id de venda .: " . $idvenda . "<br>";
     // echo " id participante .: " . $idcorretor . "<br>";
     // echo " id da equipe : " . $equipe . "<br>";
     // echo " inicio : " . $inicio . "<br>";
     // echo " final : " . $fim . "<br>";



     include  "../conexao.php";
     if($idvenda == null && $idcorretor == null && $inicio == null && $fim == null && $nosso_num == null){
          // echo "ss 1<br>";
          $query = "SELECT id_venda  FROM comissao_pagamento  GROUP BY id_venda ";
          //echo $query;
     }elseif($idcorretor != '' && $idcorretor != 'escolha' && $idvenda == ''){
           //echo "ss 2<br>";

          $query = "SELECT id_venda  FROM comissao_pagamento where  comissao_para = LPAD('$idcorretor',4,'0')  GROUP BY id_venda ";

           //echo $query;
     }elseif($idvenda != '' && $idcorretor == '' ){
         // echo "ss 3<br>";
          $query = "SELECT id_venda  FROM comissao_pagamento where  id_venda = '$idvenda'  GROUP BY id_venda";

     }elseif($equipe != '' && $idcorretor == 'escolha' ){
         // echo "ss 4<br>";
 
          $query = "SELECT id_venda  FROM comissao_pagamento where  id_equipe = '$equipe'  GROUP BY venda_id ";

     }elseif($inicio && $fim){
         // echo "ss 5<br>";
 
          $query = "SELECT id_venda FROM comissao_pagamento WHERE STR_TO_DATE(data_pagamento, '%d-%m-%Y') BETWEEN '$inicio' AND '$fim' GROUP BY id_venda";
           //echo $query;

     }elseif($nosso_num != ''){
          // echo "ss 6<br>";

           $query = "SELECT id_venda FROM comissao_pagamento WHERE id_parcela_baixa = '$nosso_num' GROUP BY id_venda";

         // echo $query;
     }

     





     //echo $query;

     $executa= mysqli_query($db, $query);

     while($buscar_amigo = mysqli_fetch_assoc($executa)){

         $vend['id_venda'][] = $buscar_amigo['id_venda'];


     }



     return $vend;

 }

 
    $todas_vendas = pegarTotalVendas($venda_n, $idcorretor, $dequipe, $inicio, $final,$nosso_num);

  // echo "<pre>";
  //  print_r($todas_vendas);
  //  echo "</pre>";


  function pegaNomeCli($venda){

        include "../conexao.php";
      $query_igpm = "SELECT cliente.nome_cli FROM venda INNER JOIN cliente ON venda.cliente_idcliente = cliente.idcliente where venda.idvenda = '$venda'";

      $executa_igpm = mysqli_query($db, $query_igpm);


      while ($buscar_amigoc = mysqli_fetch_assoc($executa_igpm)) { //--verifica se são amigos

        $nome_cli             = $buscar_amigoc['nome_cli'];
      }
      return $nome_cli;



  }


// function pegaContaPagarComissao($venda,$idcorretor){

//       echo "ENTROU NO PEGACONTAPAGAR .: " . $venda . "  E  " . $idcorretor . "<br>";

//       include "../conexao.php";

//       $query = "SELECT *  FROM parcelas WHERE venda_idvenda = '$venda' and cliente_id_novo = '$idcorretor'";
//       $execute = mysqli_query($db,$query) or die ("erro ao buscar parcela de comissao dos participantes");





// }


function pevaValorTotalComissao($venda){

         include "../conexao.php";
         $query_amigo = "SELECT SUM(SUBSTR(saldo_inicial,1)) as soma FROM venda_comissao where venda_id = '$venda'";
         //echo $query_amigo . "<br>";
         $executa_query = mysqli_query($db,$query_amigo);
         $buscar_amigo = mysqli_fetch_assoc($executa_query);

         return $buscar_amigo['soma'];

    }

function pegarSituacao($idparcela){

         include "../conexao.php";
         $query_amigo = "SELECT situacao, data_recebimento FROM parcelas where idparcelas = '$idparcela' AND fluxo = '1' ORDER BY idparcelas DESC LIMIT 1";
         // echo $query_amigo . "<br>";
         $executa_query = mysqli_query($db,$query_amigo);
         $buscar_amigo = mysqli_fetch_assoc($executa_query);

         if($buscar_amigo['data_recebimento'] == ''){

             return $buscar_amigo['situacao'];

         }else{

             return $buscar_amigo['situacao'] . "  em   " .$buscar_amigo['data_recebimento'];

         }

    }

function pegarObservacao($idvenda, $idcorretor){

         include "../conexao.php";
         $query_amigo = "SELECT observacoes FROM venda_comissao where venda_id = '$idvenda' AND comissao_para = '$idcorretor' ORDER BY idcomissao DESC LIMIT 1";
         // echo $query_amigo . "<br>";
         $executa_query = mysqli_query($db,$query_amigo);
         $buscar_amigo = mysqli_fetch_assoc($executa_query);

          return $buscar_amigo['observacoes'];

          

    }

    function pegaValorLote($venda){
     include "../conexao.php";
         $query_amigo = "SELECT lote.valor FROM venda INNER JOIN lote ON venda.lote_idlote = lote.idlote INNER JOIN produto ON lote.produto_idproduto = produto.idproduto where venda.idvenda = '$venda'" ;
         //echo $query_amigo;
         $executa_query = mysqli_query($db, $query_amigo) or die("erro");
         $buscar_amigo = mysqli_fetch_assoc($executa_query);
         $valor = $buscar_amigo['valor'];

         return $valor;
    }

      function busca_empreendimento($parc_id){

            include "../conexao.php";

            $query_amigo1 = "SELECT produto.empreendimento_idempreendimento FROM parcelas INNER JOIN venda ON parcelas.venda_idvenda = venda.idvenda INNER JOIN produto ON venda.produto_idproduto = produto.idproduto   where idparcelas = '$parc_id' ORDER BY idparcelas DESC LIMIT 1";

            $executa_query = mysqli_query($db,$query_amigo1);
            while ($buscar_amigo = mysqli_fetch_assoc($executa_query))
            {                 
                $empreendi     = $buscar_amigo["empreendimento_idempreendimento"];   

            }


            return $empreendi;
        }




    function pegaQuadraLote($venda){
         include "../conexao.php";
         $query_amigo = "SELECT produto.quadra, lote.lote FROM venda INNER JOIN lote ON venda.lote_idlote = lote.idlote INNER JOIN produto ON lote.produto_idproduto = produto.idproduto where venda.idvenda = '$venda'" ;
         //echo $query_amigo;
         $executa_query = mysqli_query($db, $query_amigo) or die("erro 1");
         $buscar_amigo = mysqli_fetch_assoc($executa_query);
         $quadraLote = $buscar_amigo['quadra']."/".$buscar_amigo["lote"];

         return $quadraLote;
    }

    function pegaParcelaBaixa($venda){
         include "../conexao.php";
         $query_amigo = "SELECT DISTINCT comissao_pagamento.id_parcela_baixa, parcelas.descricao FROM comissao_pagamento INNER JOIN parcelas ON parcelas.idparcelas = comissao_pagamento.id_parcela_baixa where id_venda = '$venda'" ;
         //echo $query_amigo;
         $executa_query = mysqli_query($db, $query_amigo) or die("erro 2");
         $buscar_amigo = mysqli_fetch_assoc($executa_query);

         $parc = $buscar_amigo['id_parcela_baixa'] . "  ( " . $buscar_amigo['descricao']  . " )";

         return $parc;
    }




    function somaParcelasDacomissao($venda){
         include "../conexao.php";
         $query_amigo = "SELECT SUM(ROUND(valor_pagamento,2)) AS valor_pagamento FROM comissao_pagamento WHERE id_venda = '$venda'" ;
         $executa_query = mysqli_query($db, $query_amigo) or die("erro ao buscar soma dos pagamentos das comissoes por venda");
         $buscar_amigo = mysqli_fetch_assoc($executa_query);
         $soma_comissao = $buscar_amigo['valor_pagamento'];

         return $soma_comissao;
    }



    function qtd_parclelasLancadasComissao($venda){
         include "../conexao.php";
         $query_amigo = "SELECT DISTINCT tot_lancadas FROM venda_comissao WHERE venda_id = '$venda'" ;
         //echo "<br>" . $query_amigo . "<br";
         $executa_query = mysqli_query($db, $query_amigo) or die("erro ao buscar quantidade de parcelas lancadas comissao");
         $buscar_amigo = mysqli_fetch_assoc($executa_query);
         $qtd_lancadas = $buscar_amigo['tot_lancadas'];

         return $qtd_lancadas;
    }
  
   function saldoInicial($venda,$idpara){
         include "../conexao.php";
         $query_amigo = "SELECT DISTINCT saldo_original, saldo_inicial, saldo_atual FROM venda_comissao WHERE venda_id = '$venda' and comissao_para = LPAD('$idpara',4,'0')" ;
        // echo "<br>" . $query_amigo . "<br";
         $executa_query = mysqli_query($db, $query_amigo) or die("erro ao buscar quantidade de parcelas lancadas comissao");
         $buscar_amigo = mysqli_fetch_assoc($executa_query);
         $dados['saldo_original'] = $buscar_amigo['saldo_original'];
         $dados['saldo_inicial']  = $buscar_amigo['saldo_inicial'];
         $dados['saldo_atual']    = $buscar_amigo['saldo_atual'];

         return $dados;
    }


  function buscar_ultimo($idvenda){
       include "../conexao.php";

       $query = "SELECT idparcelas, data_vencimento_parcela, data_recebimento, valor_parcelas, situacao, valor_recebido FROM parcelas WHERE venda_idvenda = '$idvenda'  AND descricao = 'Comissao' ORDER BY idparcelas DESC LIMIT 1";
       //echo $query;
       $executa = mysqli_query($db, $query) or die("ERRO AO PEGAR ULTIMO ID DE PARCELA DE COMISSAO");
       while($buscar_amigo = mysqli_fetch_assoc($executa)){

              $idparcela        = $buscar_amigo['idparcelas'];
              $data_vencimento  = $buscar_amigo['data_vencimento_parcela'];
              $data_recebimento = $buscar_amigo['data_recebimento'];
              $valor_parcela    = $buscar_amigo['valor_parcelas'];
              $situacao         = $buscar_amigo['situacao'];
              $valor_recebido   = $buscar_amigo['valor_recebido'];

              $dados['idparcela']         = $idparcela;
              $dados['data_vencimento_parcela']   = $data_vencimento;
              $dados['data_recebimento']  = $data_recebimento;
              $dados['valor_parcela']     = $valor_parcela;
              $dados['situacao']          = $situacao;
              $dados['valor_recebido']    = $valor_recebido;
       }

         return $dados;

  }


    function qtd_entrada($venda){
         include "../conexao.php";
         $query_amigo = "SELECT num_sequencia FROM simulacao_parcela INNER JOIN venda ON simulacao_parcela.id_venda = venda.idvenda where venda.idvenda = '$venda' ORDER BY id ASC LIMIT 1" ;

        // echo "<br>" . $query_amigo ."<br>";


         $executa_query = mysqli_query($db, $query_amigo) or die("erro ao buscar quantidade da entrada");
         $buscar_amigo = mysqli_fetch_assoc($executa_query);
         $qtd_entrada = $buscar_amigo['num_sequencia'];

         return $qtd_entrada;
    }

$nome_equipe = pega_nome_imobiliaria($equipe_id);

function pegaUsuario(){
      include '../conexao.php';
      global $usuario;
      $query_amigo = "SELECT nome_cli FROM cliente WHERE idcliente = '$usuario'";
     

      $executa_query = mysqli_query($db,$query_amigo) or die ("Erro ao listar usuario");
      $buscar_amigo = mysqli_fetch_assoc($executa_query);

      $dados = $buscar_amigo['nome_cli'];
    
 
      return $dados;
}


$usu = pegaUsuario();

 function busca_equipe($equipe_id){

              include "../conexao.php";
              $query_amigo = "SELECT * FROM cliente where idcliente = $equipe_id";
              $executa_query = mysqli_query ($db,$query_amigo);
              $cont = 0;
              while ($buscar_amigo = mysqli_fetch_assoc($executa_query))
              {                 
                  $nome_cli     = $buscar_amigo["nome_cli"];   


              }
              return $nome_cli;
       }


function dados_contrato($idvenda){
  include "../conexao.php";

  $busca_cliente = "SELECT * FROM parcelas
                    INNER JOIN venda ON parcelas.venda_idvenda = venda.idvenda 
                    INNER JOIN lote ON venda.lote_idlote = lote.idlote 
                    INNER JOIN produto ON venda.produto_idproduto = produto.idproduto 
                    INNER JOIN empreendimento ON produto.empreendimento_idempreendimento = empreendimento.idempreendimento 
                    INNER JOIN empreendimento_cadastro ON empreendimento.empreendimento_cadastro_id = empreendimento_cadastro.idempreendimento_cadastro
                    WHERE venda.idvenda = '$idvenda'";

  echo $busca_cliente . "<br>";

  $executa_query = mysqli_query($db, $busca_cliente);

  while ($busca_dados = mysqli_fetch_assoc($executa_query)) {
        
         $quadra                    = $busca_dados['quadra'];
         $lote                      = $busca_dados['lote'];
         $numero_sequencia          = $busca_dados['numero_sequencia'];
         $descricao_empreendimento  = $busca_dados['descricao_empreendimento'];
         $valor_desconto            = $busca_dados['valor_desconto'];
         $data_venda                = $busca_dados['data_venda'];
         $id_empreendimento         = $busca_dados['idempreendimento'];
         $valor_parcelamento        = $busca_dados['valor_para_parcelamento'];
         
  }


        $dados["quadra"]                      = $quadra;
        $dados["lote"]                        = $lote;
        $dados["numero_sequencia"]            = $numero_sequencia;
        $dados["descricao_empreendimento"]    = $descricao_empreendimento;
        $dados["valor_desconto"]              = $valor_desconto;
        $dados["data_venda"]                  = $data_venda;
        $dados["id_empreendimento"]           = $id_empreendimento;
        $dados['valor_para_parcelamento']     = $valor_parcelamento;
       

        return $dados;
}

function pega_id($id){
    include "../conexao.php";
    $query_amigo = "SELECT idempreendimento FROM empreendimento
                    INNER JOIN empreendimento_cadastro ON empreendimento.empreendimento_cadastro_id = empreendimento_cadastro.idempreendimento_cadastro 
     WHERE idempreendimento_cadastro = '$id'";
    $execute = mysqli_query($db,$query_amigo);
    $buscar_amigo = mysqli_fetch_assoc($execute);

    $idempreendimento = $buscar_amigo['idempreendimento'];


     return $idempreendimento;


}

function pega_nome_imobiliaria($id){
    include "../conexao.php";
    $query_amigo = "SELECT nome_cli FROM cliente WHERE idcliente = '$id'";
    $execute = mysqli_query($db,$query_amigo);
    $buscar_amigo = mysqli_fetch_assoc($execute);

    $dados = $buscar_amigo['nome_cli'];


     return $dados;


}

function qtd_vendas($equipe_id){


    include "../conexao.php";

    if($equipe_id == ''){
        $query_amigo = "SELECT DISTINCT count(DISTINCT id_venda) as qtd_vendas FROM comissao_pagamento WHERE  comissao_pagamento.id_venda = comissao_pagamento.id_venda";
    }else{

      $query_amigo = "SELECT DISTINCT count(DISTINCT id_venda) as qtd_vendas FROM comissao_pagamento WHERE comissao_pagamento.id_equipe = '$equipe_id' AND comissao_pagamento.id_venda = comissao_pagamento.id_venda";
    }


  // echo $query_amigo . "<br>";

    $execute = mysqli_query($db,$query_amigo);
    $buscar_amigo = mysqli_fetch_assoc($execute);

    $qtd_vendas = $buscar_amigo['qtd_vendas'];


     return $qtd_vendas;


}

function vendasDaEquipe($equipe_id){

    include "../conexao.php";
   
    if($equipe_id == ''){
         $query_amigo = "SELECT DISTINCT venda_id FROM venda_comissao INNER JOIN comissao_pagamento ON venda_comissao.venda_id = comissao_pagamento.id_venda  ORDER BY `venda_comissao`.`venda_id`  DESC";

    }else{
         $query_amigo = "SELECT DISTINCT venda_id FROM venda_comissao INNER JOIN comissao_pagamento ON venda_comissao.venda_id = comissao_pagamento.id_venda   WHERE equipe_id = '$equipe_id'  ORDER BY `venda_comissao`.`venda_id`  DESC";
    }



    //cho $query_amigo . "<br>";


    $execute = mysqli_query($db,$query_amigo);
    while($buscar_amigo = mysqli_fetch_assoc($execute)){


        $ids_venda[] = $buscar_amigo['venda_id'];


    }


     return $ids_venda;


}





function pegaValorTotalComissao($venda, $corretor_id){
    include "../conexao.php";
    $query_amigo = "SELECT saldo_inicial FROM venda_comissao WHERE venda_id = '$venda' AND comissao_para = '$corretor_id' ORDER BY idcomissao DESC LIMIT 1"  ;

    //echo $query_amigo;


    $execute = mysqli_query($db,$query_amigo);
    $buscar_amigo = mysqli_fetch_assoc($execute);

    $dados = $buscar_amigo['saldo_inicial'];


     return $dados;


}


function verifica_imobiliaria_na_comissao($idvenda){
          include "../conexao.php";
 

     $query_amigo = "SELECT comissao_para, venda_id FROM venda_comissao WHERE venda_id = '$idvenda'";

     $executa_query = mysqli_query($db, $query_amigo);
     while($buscar_amigo = mysqli_fetch_assoc($executa_query)){

     $corretor =  $buscar_amigo['comissao_para'];
     $venda_id =  $buscar_amigo['venda_id'];

     $query2 = "SELECT imob_id FROM cliente WHERE idcliente = '$corretor'";
     $executa_query2 = mysqli_query($db,$query2);
     $buscar_amigo2 = mysqli_fetch_assoc($executa_query2);
     
     $imob = $buscar_amigo2['imob_id'];

     $imobiliaria = $imob;
     $idvenda = $venda_id;
     $corret = $corretor;

     }


     $dados['imobiliaria'] = $imobiliaria;
     $dados['idvenda'] = $idvenda;
     $dados['corretor'] = $corret;

     


    return $dados;


}


function dados_comissao($idvenda){
     include "../conexao.php";
     $query_amigo = "SELECT * FROM venda_comissao WHERE venda_id = '$idvenda'";
     $executa_query = mysqli_query($db, $query_amigo);
     $buscar_amigo = mysqli_fetch_assoc($executa_query);

     $dados['v_percent_midia'] = $buscar_amigo['v_percent_midia'];
     $dados['v_percent_gestao'] = $buscar_amigo['v_percent_gestao'];



     return $dados;

}




function pega_corretor_imobiliaria($venda,$idcorretor){
     include "../conexao.php";
           //echo "na funcao .: " . $idcorretor . "<br>";

//             $query_amigo = "SELECT nome_cli, imob_id, tipo_cliente.descricao_tipo FROM cliente_tipo INNER JOIN tipo_cliente ON tipo_cliente.idtipo = cliente_tipo.idtipo    
// INNER JOIN  cliente ON cliente_tipo.idcliente = cliente.idcliente INNER JOIN  comissao_pagamento where comissao_pagamento.id_venda = '$venda' and cliente.idcliente = '$idcorretor'";


            $query_amigo = "SELECT nome_cli, imob_id, tipo_cliente.descricao_tipo FROM cliente_tipo INNER JOIN tipo_cliente ON tipo_cliente.idtipo = cliente_tipo.idtipo INNER JOIN cliente ON cliente_tipo.idcliente = cliente.idcliente INNER JOIN venda_comissao ON cliente.idcliente = venda_comissao.comissao_para where venda_comissao.venda_id = '$venda' and cliente.idcliente = '$idcorretor'";




          //echo "<br>" . $query_amigo . "<br>";
            $executa_query = mysqli_query ($db,$query_amigo);
            
            $pegaimob = mysqli_fetch_assoc($executa_query);

            $dados['nome_corretor']     = $pegaimob['nome_cli'] . "&nbsp;&nbsp;&nbsp;<strong>(  " . $pegaimob['descricao_tipo'] . "  )</strong>";

         return $dados;
}



function pegaComissaoPorCorretor($venda,$idcorretor,$id_parcela_baixa){
     include "../conexao.php";
           //echo "na funcao .: " . $idcorretor . "<br>";

           
            $query = "SELECT  FROM `venda_comissao` where venda_id = '$venda' and comissao_para = '$idcorretor' and id_parcela_baixa = '$id_parcela_baixa' ";
            //echo $query . "<br>";

            $executa_query = mysqli_query ($db,$query);
            $pega = mysqli_fetch_assoc($executa_query);

            $dados['saldo_inicial']     = $pega['saldo_inicial'];

         return $dados;
}





function dados_cliente($idcliente){
  include "../conexao.php";

  $busca_cliente = "SELECT * FROM cliente WHERE idcliente = $idcliente";
  $executa_query = mysqli_query($db, $busca_cliente);

  while ($busca_dados = mysqli_fetch_assoc($executa_query)) {
        
         $idcliente          = $busca_dados['idcliente'];
         $nome_cli           = $busca_dados['nome_cli'];
         $fisico_juridico    = $busca_dados['fisico_juridico'];
         $endereco_cli       = $busca_dados['endereco_cli'];
         $numero_cli         = $busca_dados['numero_cli'];
         $bairro_cli         = $busca_dados['bairro_cli'];
         $cidade_cli         = $busca_dados['cidade_cli'];
         $cep_cli            = $busca_dados['cep_cli'];
         $estado_cli         = $busca_dados['estado_cli'];
         $email_cli          = $busca_dados['email_cli'];
         $telefone1_cli      = $busca_dados['telefone1_cli'];
         $telefone2_cli      = $busca_dados['telefone2_cli'];
         $cpf_cli            = $busca_dados['cpf_cli'];
         $rg_cli             = $busca_dados['rg_cli'];
         $nascimento_cli     = $busca_dados['nascimento_cli'];
         $profissao_cli      = $busca_dados['profissao_cli'];
         $estadocivil_cli    = $busca_dados['estadocivil_cli'];
         $nacionalidade_cli  = $busca_dados['nacionalidade_cli'];
        

  }


        $dados["idcliente"]         = $idcliente;
        $dados["nome_cli"]          = $nome_cli;
        $dados["fisico_juridico"]   = $fisico_juridico;
        $dados["endereco_cli"]      = $endereco_cli;
        $dados["numero_cli"]        = $numero_cli;
        $dados["bairro_cli"]        = $bairro_cli;
        $dados["cidade_cli"]        = $cidade_cli;
        $dados["cep_cli"]           = $cep_cli;
        $dados["estado_cli"]        = $estado_cli;
        $dados["email_cli"]         = $email_cli;
        $dados["telefone1_cli"]     = $telefone1_cli;
        $dados["telefone2_cli"]     = $telefone2_cli;
        $dados["cpf_cli"]           = $cpf_cli;
        $dados["rg_cli"]            = $rg_cli;
        $dados["nascimento_cli"]    = $nascimento_cli;
        $dados["profissao_cli"]     = $profissao_cli;
        $dados["estadocivil_cli"]   = $estadocivil_cli;
        $dados["nacionalidade_cli"] = $nacionalidade_cli;

        return $dados;
}

function numero_sequencia($idparcela){

    include "conexao.php";
    $query_amigo = "SELECT numero_sequencia FROM parcelas WHERE idparcelas = '$idparcela'";

     $executa_query = mysqli_query ($db,$query_amigo);
                 
        while ($reg = mysqli_fetch_assoc($executa_query)) {//--verifica se s«ªo amigos
           
                $numero_sequencia     = $reg["numero_sequencia"];

        }

           
         
         return $numero_sequencia;



}

function grava_log1($data_log,$usu,$descricao_log){

    include "../conexao.php";
    $query_log = "INSERT INTO log (data_log,usuario_id,descricao_log) VALUES ('$data_log','$usu','$descricao_log')";
// echo $query_log; die();

    $executa_log = mysqli_query($db, $query_log);

    return 1;
  }


// if(isset($_GET['teste']) AND !empty($_GET['teste'])){

//        $empreendimento = $_GET['teste'];

//        $nome_empreendimento = pegaNomeEmpre($empreendimento);
     

// }

if(isset($_GET['corretor_id']) AND !empty($_GET['corretor_id'])){

       $corretor = $_GET['corretor_id'];

       $nome_corretor = pegaNomeCorretor($corretor);
     

}

//echo "nom : ".$nome_usuario; die();
date_default_timezone_set('America/Sao_Paulo');
$data_log = date('d-m-Y H:i:s');

  

 //$descricao_log = "O usuário ".$usu." imprimiu o relátorio de comissão do lote: ...".$lot." da quadra: ... ".$quad." do empreendimento: ...".$emp;
// echo $descricao_log; die();

   //$descricao_log ="O usuário ".$usu." imprimiu o relátorio de venda do lote: ...".$lot." da quadra: ... ".$quad." do empreendimento: ";  
 
 //$executa_log = grava_log1($data_log,$usuario,$descricao_log);




$where = " id_venda > 0";


   
date_default_timezone_set('America/Sao_Paulo');               
$hoje = date('Y-m-d');
$hoje = date('Y-m-d',strtotime($hoje . "-1 days"));

$horario_relatorio = date('d-m-Y H:i:s');


  // $situacao   = $_GET["situacao"];  
  $cliente_id = $_GET["cliente_id"];  //imobiliaria
  // $corretor_id = $_GET["corretor_id"]; //comissao_para 

  $teste      = $_GET["teste"];  
  
  $start      = $_GET["start"]; //data inicio
  $end        = $_GET["end"]; //data final
  // $tipo       = $_GET['tipo_periodo']; //se é lancamento ou vencimento


if($teste != ""){

  $teste = pega_id($teste);

  $where .=" AND comissao_pagamento.empreendimento_id = ".$teste;
}



// if($tipo != ''){
//    $where .= "";
   

// }


 // if($start != '' and $end != '' and $tipo == ''){
 //    $where .= " AND STR_TO_DATE(data_lancamento, '%d-%m-%Y') BETWEEN  '".$start."' and '".$end."' ";
 //  }
  
 // if($start != '' and $end != '' and $tipo == '1'){
 //     // echo "sou tipo 1";
 //    $where .= " AND STR_TO_DATE(data_lancamento, '%d-%m-%Y') BETWEEN  '".$start."' and '".$end."' ";
 //  }
 
  
 // if($start != '' and $end != '' and $tipo == '2'){
 //        //  echo "sou tipo 2";
 //          $where .= " AND STR_TO_DATE(data_venc_primeira, '%d-%m-%Y') BETWEEN  '".$start."' and '".$end."' ";
      
 //  }


  
 // codigo para titulo do relatorio

if($start != '' and $end != ''){
       $exibir_ini  = date("d-m-Y", strtotime($start));
       $exibir_fim  = date("d-m-Y", strtotime($end));

$exibir_titulo = ' de '.$exibir_ini.' até '.$exibir_fim;

  $where .= " AND STR_TO_DATE(data_pagamento, '%d-%m-%Y') BETWEEN  '".$start."' and '".$end."' ";



}



//$pega_id_emp = dados_contrato($cliente_id);

//print_r($pega_id_emp);

//$logo = fotologo($empreendimento_id);

$idempreendimento = $empreendimento_id;
 
/* Cria a instância */
 
 if($teste != ''){
  include "../conexao.php";
            $query_amigo = "SELECT * FROM empreendimento_cadastro                            
                            WHERE idempreendimento_cadastro = $teste";
                           
            $executa_query = mysqli_query ($db,$query_amigo);
                
            while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos
           
            $descricao_empreendimento       = $buscar_amigo['descricao_empreendimento'];

          }
    }


if($_GET['empreendimento_id'] != 'Todos' ){ 

              $image = "<img src='../img/$empreendimento_id/$logo' height='110' />";
         }else{
              $image = "";
         }


 
$html = "<table style='width:100%' border='0' align='center'><tr>";
                      if($_GET['teste'] != ''){
                            $html .= "<td style='width:20%'>$image</td>";
                       }      
$html .=  "<td style='width:100%'><center><h4>RELATÓRIO DE COMISSÃO DE VENDAS</h4>";
      

                if($_GET['cliente_id'] != ''){
                   // $html .= "<strong>Por Imobiliaria</strong><br>";
                }


                if($_GET['start'] AND $_GET['end']){
           $html .=  "<strong>Período: </strong>$exibir_titulo   /    ";
                }
            
            $html .= "<strong>Emissão: </strong>$horario_relatorio

              </center>
      </td>
      <td style='width:20%; text-align: right' >&nbsp;<font style='font-size: 10px'> Emitidor por.: $usu</font></td>
    </tr>

</table>";
     $venda_qtd = qtd_vendas($equipe_id);
     
      $ids_das_vendas = vendasDaEquipe($equipe_id);



                if($_GET['teste'] != ''){
                    $html .= "<strong>Empreendimento:</strong>$descricao_empreendimento   ";
                }
                if($_GET['cliente_id'] != ''){
                   $idcli = $_GET['cliente_id'];
                   $where .= " AND id_equipe = $idcli ";
                   $equipe = busca_equipe($idcli);


                   $html .= "<strong>Equipe:</strong>$equipe";
                }
                if(isset($_GET['corretores']) AND  !empty($_GET['corretores'])){
                      $corretores = $_GET['corretores'];

                      if($corretores != 'escolha'){
                        
                            $where .= " AND comissao_pagamento.comissao_para = $corretores ";
                            $corretor = busca_equipe($corretores);
                            $html .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<strong>Corretor:</strong>$corretor";
                                                         
                      }


                }

      $html .= "<table style='width:100%' height='127' border='0' id='table'>";

$hoje = date('Y-m-d');
  include "../conexao.php";

   $soma_total_inicial  = 0;
   $soma_total_devedor  = 0;
   $soma_total_atual    = 0;
   $soma_total_parcelas = 0;
   foreach ($todas_vendas['id_venda'] as $keypi => $venda_idd) {
           $query = "SELECT *  FROM comissao_pagamento  WHERE $where  AND comissao_pagamento.id_venda = '$venda_idd' ORDER BY idpagcomissao ASC";
           //echo $query;
           $quadra_lote     = utf8_encode(pegaQuadraLote($venda_idd));

           // echo "<pre>";
           // print_r($quadra_lote);
           // echo "</pre>";

           $valor_comissao  = pevaValorTotalComissao($venda_idd);
           $nr_lancamento   = pegaParcelaBaixa($venda_idd);
           $nome_cliente    = pegaNomeCli($venda_idd);
           $valor_lote      = "R$ .: " . number_format(pegaValorLote($venda_idd), 2,',','.');
           $html .="<tr>
                       <td colspan=9><br><hr></td>
                       </tr><tr><td colspan=9><strong>Contrato .:</strong>  $venda_idd &nbsp;&nbsp;&nbsp;&nbsp;<strong>Quadra / Lote.:</strong> $quadra_lote  &nbsp;&nbsp;&nbsp;&nbsp;<strong>Ref. Baixa Parcela .:</strong> $nr_lancamento &nbsp;&nbsp;&nbsp;&nbsp;<strong>Cliente .:</strong> $nome_cliente&nbsp;&nbsp;&nbsp;&nbsp;<strong>Valor Lote .:</strong> $valor_lote <strong>&nbsp;&nbsp;Valor Comissao:</strong>&nbsp;&nbsp;&nbsp; R$ :". number_format($valor_comissao,2,',','.') ."
                      </td></tr>";

            $html .= "<tr bgcolor='#DCDCDC'>
                        <td style='text-align: center; font-size: 12px;'><strong>Nr Lancamento</strong></td>
                        <td style='text-align: center; font-size: 12px;'><strong>Data Vencimento</strong></td>
                      
                        <td style='text-align: left; font-size: 12px;'><strong>Saldo Atual</strong></td>
                        <td style='text-align: left; font-size: 12px;'><strong>Valor Parcelas</strong></td>
                        <td style='text-align: center; font-size: 12px;'><strong>Saldo Devedor</strong></td>
                        <td style='text-align: center; font-size: 12px;'><strong>Situação</strong></td>
                        <td style='text-align: center; font-size: 12px;'><strong>Participantes</strong></td>
                        <td style='text-align: center; font-size: 12px;'><strong>Observações</strong></td>
                     </tr>";

           $executa = mysqli_query($db,$query) or die("erro ao listar comissoes geradas");
           $soma_saldo_inicial = 0;
           $soma_valor_parcela = 0;
           $soma_saldo_devedor = 0;
           $soma_saldo_atual   = 0;

 
           while($buscar_amigo = mysqli_fetch_assoc($executa)){
                    $dados_parcela    = buscar_ultimo($venda_idd);
                    $qtd_entrada      = qtd_entrada($venda_idd);
                    $comissao_para    = $buscar_amigo['comissao_para'];
                    $data_vencimento  = $dados_parcela['data_vencimento_parcela'];
                    $valor_parcela    = $buscar_amigo['valor_pagamento'];
                 
                    $valor_recebido   = $dados_parcela['valor_recebido'];
                    $saldo_devedor    = $buscar_amigo['saldo_devedor'];
                    $pega_saldos      = saldoInicial($venda_idd,$comissao_para);
                    $saldo_inicial    = $pega_saldos['saldo_original'];
                    $saldo_atual      = $pega_saldos['saldo_atual'] + $valor_parcela;
                    $qtd_lancadas     = "TESTE PARCELAS LANC";
                    $soma_parcelas    = somaParcelasDacomissao($venda_idd);
                    $dados_corretor   = pega_corretor_imobiliaria($venda_idd,$comissao_para);
                    $nome_corretor    = $dados_corretor['nome_corretor'];
                    //$pega_idcp        = pegaContaPagarComissao($venda_idd,$comissao_para);
                    $id_parcela       = $buscar_amigo['id_parcela'];
                    //echo "ID DO CONTAS A PAGAR .: " . $pega_idcp ."<br>";
                    $situacao         = pegarSituacao($id_parcela);
                    $observacao       = pegarObservacao($venda_idd,$comissao_para);

                    $data_recebimento = $dados_parcela['data_recebimento'];
           
                     if($data_recebimento == ''){
                          $data_recebimento = "____/  ____/  ______";
                      }
           

                    $html .= "<tr>
                                 <td style='text-align: center; font-size: 12px;'>$id_parcela</td>
                                 <td style='text-align: center; font-size: 12px;'>$data_vencimento</td>
                               
                                 <td style='text-align: right; font-size: 12px;'>R$ " . number_format($saldo_atual,2,',','.')."</td>
                                 <td style='text-align: right; font-size: 12px;'>R$ " . number_format($valor_parcela,2,',','.') ."</td>
                                 <td style='text-align: right; font-size: 12px;'>R$ " . number_format($saldo_devedor,2,',','.') ."</td>
                                 <td style='text-align: center; font-size: 12px;'>$situacao</td>
                                 <td style='text-align: left; font-size: 12px;'>$nome_corretor</td>
                                 <td style='text-align: left; font-size: 12px;'>$observacao</td>

                                 </tr>";
                
                    //$soma_saldo_inicial  = $soma_saldo_inicial + $saldo_inicial;
                    $soma_saldo_inicial  = $soma_saldo_inicial;
                    $soma_saldo_atual    = $soma_saldo_atual + $saldo_atual;
                    $soma_valor_parcela  = $soma_valor_parcela + $valor_parcela;
                    $soma_saldo_devedor  = $soma_saldo_devedor + $saldo_devedor;


            }


                   $html .=  "<tr bgcolor='#DCDCDC'>
                                 <td colspan='2'  style='text-align: left; font-size: 12px;'><strong>TOTAL</td>
                                
                                 <td style='text-align: right; font-size: 12px;'></td>
                                 <td style='text-align: right; font-size: 12px;'><strong>R$ ".number_format($soma_valor_parcela,2,',','.') ."</strong></td>
                                 <td style='text-align: right; font-size: 12px;'><strong>R$ ".number_format($soma_saldo_devedor,2,',','.') ."</strong></td>
                                 <td style='text-align: center; font-size: 12px;'></td>
                                 <td style='text-align: center; font-size: 12px;'></td>
                                 <td style='text-align: right; font-size: 12px;'></td>

                             </tr>";

               $soma_total_inicial  = $soma_total_inicial + $soma_saldo_inicial;
               $soma_total_atual    = $soma_total_atual + $soma_saldo_atual;
               $soma_total_devedor  = $soma_total_devedor + $soma_saldo_devedor;
               $soma_total_parcelas = $soma_total_parcelas + $soma_valor_parcela; 


            }



                   $html .=  "<td colspan=9><br><hr style='height: 3px; background: black'></td>
                              <tr bgcolor='#DCDCDC'>
                                 <td colspan='2' style='text-align: left; font-size: 12px;'><strong>TOTAL GERAL</td>
                            
                                 <td style='text-align: right; font-size: 12px;'></td>
                                 <td style='text-align: right; font-size: 12px;'><strong>R$ ".number_format($soma_total_parcelas,2,',','.') ."</strong></td>
                                 <td style='text-align: right; font-size: 12px;'><strong>R$ ".number_format($soma_total_devedor,2,',','.') ."</strong></td>
                                 <td style='text-align: center; font-size: 12px;'></td>
                                 <td style='text-align: center; font-size: 12px;'></td>
                                 <td style='text-align: center; font-size: 12px;'></td>
                                 <td style='text-align: right; font-size: 12px;'></td>

                             </tr>";


 
             $html .= "</table>"; 
 

           if(count($todas_vendas) > 0){

                  echo $html;


           }else{

               ?>

                    <br><be><br> 
                    <center><h1>Nenhuma Comissao Lançada para esta Pesquisa !!!</h1></center>
               <?php

           }
 



  ?>
                    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
                    <script type="text/javascript" src="tableExport/libs/FileSaver/FileSaver.min.js"></script>
                    <script type="text/javascript" src="tableExport/libs/js-xlsx/xlsx.core.min.js"></script>
                    <script type="text/javascript" src="tableExport/tableExport.min.js"></script>
                    <script type="text/javascript">
          
          //$('#table').tableExport({
          //    type:'xlsx',
          //    postCallback: function(){
          //            console.log('done loading my humugoid file')
          //    }
          // });
           
                    </script>

        <?php


?>

<script type="text/javascript">
      window.print()    
</script>
